package view;

import javafx.scene.shape.MeshView;
import model.Piece;
import model.Position;

public class PieceView {
	private MeshView obj;
	private Position position;
	private int color;
	private boolean isTargeted;

	public PieceView(MeshView obj, Position position, int color) {
		this.obj = obj;
		this.position = position;
		this.color = color;
		isTargeted = false;
	}

	public MeshView getObj() {
		return obj;
	}

	public void setObj(MeshView obj) {
		this.obj = obj;
	}

	public Position getPosition() {
		return position;
	}

	public void setPosition(Position arrival) {
		position = new Position(arrival.getX(), arrival.getY()); // creates a new copy, to avoid using reference
	}

	public int getColor() {
		return color;
	}

	public void setColor(int color) {
		this.color = color;
	}

	public boolean isTargeted() {
		return isTargeted;
	}

	public void setTargeted(CustomMaterial material, int tileColor) {
		isTargeted = true;
		obj.setMaterial(material.get(tileColor));
	}

	public void resetTargeted(CustomMaterial material) {
		isTargeted = false;
		if(color == Piece.WHITE)
			obj.setMaterial(material.get(CustomMaterial.WHITE));
		else
			obj.setMaterial(material.get(CustomMaterial.BLACK));
	}
}
